/**
 * CRXHttpRequest.h
 */
#ifndef __CRXHTTPREQUEST_H__
#define __CRXHTTPREQUEST_H__

#include "CRXHttpMessage.h"

class CRXHttpRequest : public CRXHttpMessage
{
private:
	std::string	mMethod;
	std::string	mUrl;

	std::string	mProtocol;
	std::string	mHost;
	int			mPort;

public:
	CRXHttpRequest					(void);

private:
	void				Parse		(void);

public:
	void				SetRequest	(const char * aHttpRequest);
	std::string			GetRequest	(void) const;

	CRXHttpRequest &	operator =	(const char * aHttpRequest);

public:
	std::string			GetURL		(void) const;
	std::string			GetHost		(void) const;
	int					GetPort		(void) const;
};

#endif // #ifndef __CRXHTTPREQUEST_H__
